| Bsoft 2.0.5 Bernard's software package

Functions | Variables
bbif.cpp File Reference

Program to denoise images by bilateral filtering. More...

`#include "rwimg.h"`
`#include "utilities.h"`
`#include "options.h"`
`#include "timer.h"`

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
int | verbose
const char * | use []

## Detailed Description

Program to denoise images by bilateral filtering.

Author
  Bernard Heymann and Giovanni Cardone

Date
  Created: 20070301
  Modified: 20150802

Definition in file bbif.cpp.

## Function Documentation

## ◆ main()

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

Definition at line 42 of file bbif.cpp.

## Variable Documentation

## ◆ use

const char* use[]

Initial value:
= {
" ",
"Usage: bbif [options] input.img output.img",
"------------------------------------------",
"Denoises by bilateral filtering.",
" ",
"Actions:",
"-rescale -0.1,5.2 Rescale data to average and standard deviation after filtering.",
"-kernel gaussian Kernel used for for the intensity space:",
" 1=gaussian (default)",
" 2=lorentz ",
" 3=tukey",
"-size 5 kernel size (odd number, default 6*spacesigma)",
"-spacesigma 1.5 Standard deviation of spatial filter (pixels, default 1).",
"-rangesigma 23.8 Standard deviation of range filter (default image standard deviation).",
" ",
"Parameters:",
"-verbose 1 Verbosity of output.",
"-datatype u Force writing of a new data type.",
"-sampling 1.5,1.5,1.5 Sampling (A/pixel; default from input file; a single value can be given).",
" ",
NULL
}

Definition at line 18 of file bbif.cpp.

## ◆ verbose

int verbose